package su.a71.new_soviet.registration;

import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.sound.SoundEvent;
import net.minecraft.util.Identifier;
import su.a71.new_soviet.NewSoviet;

public class NSE_Sounds extends NSE_BaseRegistration {
    public static SoundEvent DICE_SOUND = registerSoundEvent("dice_sound");

    public static SoundEvent PARQUET_WALK = registerSoundEvent("parquet_walk");
    public static final BlockSoundGroup PARQUET_SOUNDS = new BlockSoundGroup(1f, 1f,
            BlockSoundGroup.CHERRY_WOOD.getBreakSound(), NSE_Sounds.PARQUET_WALK, BlockSoundGroup.CHERRY_WOOD.getPlaceSound(),
            BlockSoundGroup.CHERRY_WOOD.getHitSound(), NSE_Sounds.PARQUET_WALK);

    public static final BlockSoundGroup MEAT_SOUNDS = new BlockSoundGroup(1f, 1f,
            BlockSoundGroup.MUD.getBreakSound(), BlockSoundGroup.HONEY.getStepSound(), BlockSoundGroup.MUD.getPlaceSound(),
            BlockSoundGroup.MUD.getHitSound(), BlockSoundGroup.HONEY.getStepSound());

    public static SoundEvent SWITCH_PRESS = registerSoundEvent("switch_press");

    public static final BlockSoundGroup SAND_TILES_SOUNDS = new BlockSoundGroup(1f, 0.8f,
            BlockSoundGroup.MUD_BRICKS.getBreakSound(), BlockSoundGroup.DECORATED_POT.getStepSound(), BlockSoundGroup.MUD_BRICKS.getPlaceSound(),
            BlockSoundGroup.MUD_BRICKS.getHitSound(), BlockSoundGroup.DECORATED_POT.getStepSound());

    public static final BlockSoundGroup WALLPAPER_BLOCK_SOUNDS = new BlockSoundGroup(1f, 0.7f,
            BlockSoundGroup.BAMBOO_WOOD.getBreakSound(), BlockSoundGroup.WOOL.getStepSound(), BlockSoundGroup.BAMBOO_WOOD.getPlaceSound(),
            BlockSoundGroup.WOOL.getHitSound(), BlockSoundGroup.WOOL.getStepSound());

    public static SoundEvent ITEM_RAKE_TILL = registerSoundEvent("item_rake_till");

    public static SoundEvent SMOKING = registerSoundEvent("smoking");
    public static SoundEvent CIGARETTE_RESTART = registerSoundEvent("cigarette_restart");
    public static SoundEvent CIGARETTE_RANDOM = registerSoundEvent("cigarette_random");
    public static SoundEvent CIGARETTE_STOPPED = registerSoundEvent("cigarette_stopped");
    public static SoundEvent CIGARETTE_START = registerSoundEvent("cigarette_start");
    public static SoundEvent CIGARETTE_PAUSE = registerSoundEvent("cigarette_pause");

    public static final SoundEvent SIREN_SOUND = registerSoundEvent("siren_sound");
    public static final SoundEvent BELL_SIREN_SOUND = registerSoundEvent("bell_siren_sound");
    public static final SoundEvent WOOP_SIREN_SOUND = registerSoundEvent("woop_siren_sound");
    public static final SoundEvent CLOISTER_SIREN_SOUND = registerSoundEvent("cloister_siren_sound");


    public static final SoundEvent ELECTRIC_HIT = SoundEvent.of(new Identifier(NewSoviet.MOD_ID, "electric_hit"));

    public static final SoundEvent LIGHT_BULB_BROKEN_SOUND = registerSoundEvent("light_bulb_broken_sound");

}