package su.a71.new_soviet.datagen;
// === ABANDON HOPE, YE WHO ENTER HERE ===

import net.fabricmc.fabric.api.datagen.v1.FabricDataOutput;
import net.fabricmc.fabric.api.datagen.v1.provider.FabricBlockLootTableProvider;
import net.minecraft.block.Blocks;
import net.minecraft.item.Items;
import su.a71.new_soviet.registration.NSE_Blocks;
import su.a71.new_soviet.registration.NSE_Custom;

public class BlockLootTables extends FabricBlockLootTableProvider {
    public BlockLootTables(FabricDataOutput dataOutput) {
        super(dataOutput);
    }

    @Override
    public void generate() {
        // Drops for building blocks
        addDrop(NSE_Blocks.SAND_TILES);
        addDrop(NSE_Blocks.NII_FLOOR);
        addDrop(NSE_Blocks.BIG_GREEN_TILES);
        addDrop(NSE_Blocks.BIG_GREEN_TILES_CRACKED);
        addDrop(NSE_Blocks.GREEN_BRICKS);
        addDrop(NSE_Blocks.CRACKED_GREEN_BRICKS);
        addDrop(NSE_Blocks.MOSSY_GREEN_BRICKS);
        addDrop(NSE_Blocks.GREEN_BRICKS_MIXED);
        addDrop(NSE_Blocks.CRACKED_GREEN_BRICKS_MIXED);
        addDrop(NSE_Blocks.MOSSY_GREEN_BRICKS_MIXED);
        addDrop(NSE_Blocks.CRACKED_SAND_TILES);
        addDrop(NSE_Blocks.MOSSY_SAND_TILES);
        addDrop(NSE_Blocks.SMALL_SAND_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_SAND_TILES);
        addDrop(NSE_Blocks.HERRINGBONE_SAND_TILES);
        addDrop(NSE_Blocks.CROSS_SAND_TILES);
        addDrop(NSE_Blocks.BIG_SAND_TILES);
        addDrop(NSE_Blocks.SAND_BRICKS);
        addDrop(NSE_Blocks.CRACKED_SAND_BRICKS);
        addDrop(NSE_Blocks.MOSSY_SAND_BRICKS);
        addDrop(NSE_Blocks.BIG_SAND_BRICKS);
        addDrop(NSE_Blocks.BRICK_TILES);
        addDrop(NSE_Blocks.CRACKED_BRICK_TILES);
        addDrop(NSE_Blocks.MOSSY_BRICK_TILES);
        addDrop(NSE_Blocks.DIRTY_BRICK_TILES);
        addDrop(NSE_Blocks.DARK_BRICK_TILES);
        addDrop(NSE_Blocks.CRACKED_DARK_BRICK_TILES);
        addDrop(NSE_Blocks.MOSSY_DARK_BRICK_TILES);
        addDrop(NSE_Blocks.DIRTY_DARK_BRICK_TILES);
        addDrop(NSE_Blocks.TEAL_TILES);
        addDrop(NSE_Blocks.CRACKED_TEAL_TILES);
        addDrop(NSE_Blocks.MOSSY_TEAL_TILES);
        addDrop(NSE_Blocks.SMALL_TEAL_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_TEAL_TILES);
        addDrop(NSE_Blocks.GLAZED_TEAL_TILES);
        addDrop(NSE_Blocks.CRACKED_GLAZED_TEAL_TILES);
        addDrop(NSE_Blocks.VARIATED_TEAL_TILES);
        addDrop(NSE_Blocks.AQUAMARINE_TILES);
        addDrop(NSE_Blocks.CRACKED_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.MOSSY_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.DIRTY_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.SMALL_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.GLAZED_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.CRACKED_GLAZED_AQUAMARINE_TILES);
        addDrop(NSE_Blocks.SMALL_DIORITE_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_DIORITE_TILES);
        addDrop(NSE_Blocks.BIG_DIORITE_TILES);
        addDrop(NSE_Blocks.DIORITE_BRICKS);
        addDrop(NSE_Blocks.CRACKED_DIORITE_BRICKS);
        addDrop(NSE_Blocks.MOSSY_DIORITE_BRICKS);
        addDrop(NSE_Blocks.CALCITE_TILES);
        addDrop(NSE_Blocks.CRACKED_CALCITE_TILES);
        addDrop(NSE_Blocks.MOSSY_CALCITE_TILES);
        addDrop(NSE_Blocks.DIAGONAL_CALCITE_TILES);
        addDrop(NSE_Blocks.NII_WALL_1);
        addDrop(NSE_Blocks.CRACKED_NII_WALL_1);
        addDrop(NSE_Blocks.NII_WALL_2);
        addDrop(NSE_Blocks.NII_WALL_3);
        addDrop(NSE_Blocks.DRIPSTONE_TILES);
        addDrop(NSE_Blocks.CRACKED_DRIPSTONE_TILES);
        addDrop(NSE_Blocks.MOSSY_DRIPSTONE_TILES);
        addDrop(NSE_Blocks.DRIPSTONE_BRICKS);
        addDrop(NSE_Blocks.DEEPSLATE_TILES);
        addDrop(NSE_Blocks.CRACKED_DEEPSLATE_TILES);
        addDrop(NSE_Blocks.MOSSY_DEEPSLATE_TILES);
        addDrop(NSE_Blocks.SMALL_DEEPSLATE_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_DEEPSLATE_TILES);
        addDrop(NSE_Blocks.DIAGONAL_DEEPSLATE_TILES);
        addDrop(NSE_Blocks.LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.CRACKED_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.MOSSY_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.VARIATED_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.SMALL_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.GLAZED_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.CRACKED_GLAZED_LIGHT_BLUE_TILES);
        addDrop(NSE_Blocks.LIGHT_BLUE_BRICKS);
        addDrop(NSE_Blocks.CRACKED_LIGHT_BLUE_BRICKS);
        addDrop(NSE_Blocks.MOSSY_LIGHT_BLUE_BRICKS);
        addDrop(NSE_Blocks.BIG_GRANITE_TILES);
        addDrop(NSE_Blocks.SMALL_GRANITE_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_GRANITE_TILES);
        addDrop(NSE_Blocks.GREEN_WHITE_TILES);
        addDrop(NSE_Blocks.CRACKED_GREEN_WHITE_TILES);
        addDrop(NSE_Blocks.MOSSY_GREEN_WHITE_TILES);
        addDrop(NSE_Blocks.TUFF_TILES);
        addDrop(NSE_Blocks.CRACKED_TUFF_TILES);
        addDrop(NSE_Blocks.MOSSY_TUFF_TILES);
        addDrop(NSE_Blocks.BIG_TUFF_TILES);
        addDrop(NSE_Blocks.TUFF_BRICKS);
        addDrop(NSE_Blocks.CRACKED_TUFF_BRICKS);
        addDrop(NSE_Blocks.MOSSY_TUFF_BRICKS);
        addDrop(NSE_Blocks.INDUSTRIAL_WARNING);
        addDrop(NSE_Blocks.GRAY_WARNING);
        addDrop(NSE_Blocks.RED_WARNING);
        addDrop(NSE_Blocks.ORANGE_WARNING);
        addDrop(NSE_Blocks.YELLOW_WARNING);
        addDrop(NSE_Blocks.LIME_WARNING);
        addDrop(NSE_Blocks.GREEN_WARNING);
        addDrop(NSE_Blocks.CYAN_WARNING);
        addDrop(NSE_Blocks.LIGHT_BLUE_WARNING);
        addDrop(NSE_Blocks.BLUE_WARNING);
        addDrop(NSE_Blocks.PURPLE_WARNING);
        addDrop(NSE_Blocks.MAGENTA_WARNING);
        addDrop(NSE_Blocks.METAL_PLATING);
        addDrop(NSE_Blocks.CRATE);
        addDrop(NSE_Blocks.CONCRETE_WALL);
        addDrop(NSE_Blocks.HERRINGBONE_ACACIA_PLANKS);
        addDrop(NSE_Blocks.CROSS_ACACIA_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_OAK_PLANKS);
        addDrop(NSE_Blocks.CROSS_OAK_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_BIRCH_PLANKS);
        addDrop(NSE_Blocks.CROSS_BIRCH_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_CRIMSON_PLANKS);
        addDrop(NSE_Blocks.CROSS_CRIMSON_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_DARK_OAK_PLANKS);
        addDrop(NSE_Blocks.CROSS_DARK_OAK_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_JUNGLE_PLANKS);
        addDrop(NSE_Blocks.CROSS_JUNGLE_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_MANGROVE_PLANKS);
        addDrop(NSE_Blocks.CROSS_MANGROVE_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_SPRUCE_PLANKS);
        addDrop(NSE_Blocks.CROSS_SPRUCE_PLANKS);
        addDrop(NSE_Blocks.HERRINGBONE_PARQUET);
        addDrop(NSE_Blocks.STRAIGHT_PARQUET);
        addDrop(NSE_Blocks.SEPARATED_PARQUET);
        addDrop(NSE_Blocks.GREEN_LINOLEUM);
        addDrop(NSE_Blocks.BLUE_LINOLEUM);
        addDrop(NSE_Blocks.RED_LINOLEUM);
        addDrop(NSE_Blocks.GRAY_LINOLEUM);
        addDrop(NSE_Blocks.ORANGE_LINOLEUM);
        addDrop(NSE_Blocks.BROWN_LINOLEUM);
        addDrop(NSE_Blocks.CYAN_LINOLEUM);
        addDrop(NSE_Blocks.CROSS_ORANGE_LINOLEUM);
        addDrop(NSE_Blocks.CROSS_BROWN_LINOLEUM);
        addDrop(NSE_Blocks.WHITE_CONCRETE);
        addDrop(NSE_Blocks.CRACKED_WHITE_CONCRETE);
        addDrop(NSE_Blocks.BEIGE_CONCRETE);
        addDrop(NSE_Blocks.CRACKED_BEIGE_CONCRETE);
        addDrop(NSE_Blocks.BLUE_CONCRETE);
        addDrop(NSE_Blocks.CRACKED_BLUE_CONCRETE);
        addDrop(NSE_Blocks.RED_CONCRETE);
        addDrop(NSE_Blocks.CRACKED_RED_CONCRETE);
        addDrop(NSE_Blocks.YELLOW_CONCRETE);
        addDrop(NSE_Blocks.CRACKED_YELLOW_CONCRETE);
        addDrop(NSE_Blocks.GREEN_CONCRETE);
        addDrop(NSE_Blocks.CRACKED_GREEN_CONCRETE);
        addDrop(NSE_Blocks.WHITEWASH);
        addDrop(NSE_Blocks.CRACKED_WHITEWASH);
        addDrop(NSE_Blocks.VERY_CRACKED_WHITEWASH);
        addDrop(NSE_Blocks.SMALL_YELLOW_TILES);
        addDrop(NSE_Blocks.SMALL_CRACKED_YELLOW_TILES);
        addDrop(NSE_Blocks.MEAT);
        addDrop(NSE_Blocks.MEAT_EYE);
        addDrop(NSE_Blocks.MEAT_TEETH);
        addDrop(NSE_Blocks.CHISELED_BIRCH_DOOR, doorDrops(NSE_Blocks.CHISELED_BIRCH_DOOR));
        addDrop(NSE_Blocks.CHISELED_MANGROVE_DOOR, doorDrops(NSE_Blocks.CHISELED_MANGROVE_DOOR));
        addDrop(NSE_Blocks.CHISELED_OAK_DOOR, doorDrops(NSE_Blocks.CHISELED_OAK_DOOR));
        addDrop(NSE_Blocks.CHISELED_SPRUCE_DOOR, doorDrops(NSE_Blocks.CHISELED_SPRUCE_DOOR));
        addDrop(NSE_Blocks.BEIGE_WALLPAPER);
        addDrop(NSE_Blocks.BROWN_WALLPAPER);
        addDrop(NSE_Blocks.GREEN_WALLPAPER);
        addDrop(NSE_Blocks.HANDRAIL);
        addDrop(NSE_Blocks.BLUE_IRON_BARS);
        addDrop(NSE_Blocks.RUSTY_BLUE_IRON_BARS);
        addDrop(NSE_Blocks.VINTAGE_IRON_BARS);
        addDrop(NSE_Blocks.BLUE_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.WHITE_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.LIGHT_BLUE_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.BLACK_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.PURPLE_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.MAGENTA_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.PINK_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.CYAN_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.LIGHT_GRAY_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.GRAY_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.BROWN_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.GREEN_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.LIME_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.YELLOW_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.RED_BOUNDARY_MARKER);
        addDrop(NSE_Blocks.ORANGE_BOUNDARY_MARKER);

        // Drops for furniture/electronics/appliances
        addDrop(NSE_Custom.WHITE_PAWN);
        addDrop(NSE_Custom.WHITE_BISHOP);
        addDrop(NSE_Custom.WHITE_KING);
        addDrop(NSE_Custom.WHITE_KNIGHT);
        addDrop(NSE_Custom.WHITE_QUEEN);
        addDrop(NSE_Custom.WHITE_ROOK);
        addDrop(NSE_Custom.BLACK_KNIGHT);
        addDrop(NSE_Custom.BLACK_PAWN);
        addDrop(NSE_Custom.BLACK_KING);
        addDrop(NSE_Custom.BLACK_QUEEN);
        addDrop(NSE_Custom.BLACK_BISHOP);
        addDrop(NSE_Custom.BLACK_ROOK);

        addDrop(NSE_Custom.TV);
        addDrop(NSE_Custom.RED_TV);
        addDrop(NSE_Custom.BROWN_TV);
        addDrop(NSE_Custom.RADIO_RECEIVER);
        addDrop(NSE_Custom.SIREN);
        addDrop(NSE_Custom.TABLE_LAMP);
        addDrop(NSE_Custom.VINTAGE_LAMP);
        addDrop(NSE_Custom.CEILING_FAN);
        addDrop(NSE_Custom.SWITCH);
        addDrop(NSE_Custom.DARK_SWITCH);

        // Generated stairs and slabs drops
        addDrop(NSE_Blocks.SAND_TILES_SLAB);
        addDrop(NSE_Blocks.SAND_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_SAND_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_SAND_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_SAND_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_SAND_TILES_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_SAND_TILES_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_SAND_TILES_STAIRS);
        addDrop(NSE_Blocks.CROSS_SAND_TILES_SLAB);
        addDrop(NSE_Blocks.CROSS_SAND_TILES_STAIRS);
        addDrop(NSE_Blocks.SAND_BRICKS_SLAB);
        addDrop(NSE_Blocks.SAND_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CRACKED_SAND_BRICKS_SLAB);
        addDrop(NSE_Blocks.CRACKED_SAND_BRICKS_STAIRS);
        addDrop(NSE_Blocks.MOSSY_SAND_BRICKS_SLAB);
        addDrop(NSE_Blocks.MOSSY_SAND_BRICKS_STAIRS);
        addDrop(NSE_Blocks.BIG_SAND_BRICKS_SLAB);
        addDrop(NSE_Blocks.BIG_SAND_BRICKS_STAIRS);
        addDrop(NSE_Blocks.BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.DIRTY_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.DIRTY_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.DARK_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.DARK_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_DARK_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_DARK_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_DARK_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_DARK_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.DIRTY_DARK_BRICK_TILES_SLAB);
        addDrop(NSE_Blocks.DIRTY_DARK_BRICK_TILES_STAIRS);
        addDrop(NSE_Blocks.RED_BRICKS_SLAB);
        addDrop(NSE_Blocks.RED_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CRACKED_RED_BRICKS_SLAB);
        addDrop(NSE_Blocks.CRACKED_RED_BRICKS_STAIRS);
        addDrop(NSE_Blocks.MOSSY_RED_BRICKS_SLAB);
        addDrop(NSE_Blocks.MOSSY_RED_BRICKS_STAIRS);
        addDrop(NSE_Blocks.TEAL_TILES_SLAB);
        addDrop(NSE_Blocks.TEAL_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_TEAL_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_TEAL_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_TEAL_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_TEAL_TILES_STAIRS);
        addDrop(NSE_Blocks.VARIATED_TEAL_TILES_SLAB);
        addDrop(NSE_Blocks.VARIATED_TEAL_TILES_STAIRS);
        addDrop(NSE_Blocks.GREEN_BRICKS_SLAB);
        addDrop(NSE_Blocks.GREEN_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CRACKED_GREEN_BRICKS_SLAB);
        addDrop(NSE_Blocks.CRACKED_GREEN_BRICKS_STAIRS);
        addDrop(NSE_Blocks.MOSSY_GREEN_BRICKS_SLAB);
        addDrop(NSE_Blocks.MOSSY_GREEN_BRICKS_STAIRS);
        addDrop(NSE_Blocks.GREEN_BRICKS_MIXED_SLAB);
        addDrop(NSE_Blocks.GREEN_BRICKS_MIXED_STAIRS);
        addDrop(NSE_Blocks.CRACKED_GREEN_BRICKS_MIXED_SLAB);
        addDrop(NSE_Blocks.CRACKED_GREEN_BRICKS_MIXED_STAIRS);
        addDrop(NSE_Blocks.MOSSY_GREEN_BRICKS_MIXED_SLAB);
        addDrop(NSE_Blocks.MOSSY_GREEN_BRICKS_MIXED_STAIRS);
        addDrop(NSE_Blocks.AQUAMARINE_TILES_SLAB);
        addDrop(NSE_Blocks.AQUAMARINE_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_AQUAMARINE_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_AQUAMARINE_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_AQUAMARINE_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_AQUAMARINE_TILES_STAIRS);
        addDrop(NSE_Blocks.DIRTY_AQUAMARINE_TILES_SLAB);
        addDrop(NSE_Blocks.DIRTY_AQUAMARINE_TILES_STAIRS);
        addDrop(NSE_Blocks.DIORITE_BRICKS_SLAB);
        addDrop(NSE_Blocks.DIORITE_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CRACKED_DIORITE_BRICKS_SLAB);
        addDrop(NSE_Blocks.CRACKED_DIORITE_BRICKS_STAIRS);
        addDrop(NSE_Blocks.MOSSY_DIORITE_BRICKS_SLAB);
        addDrop(NSE_Blocks.MOSSY_DIORITE_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CALCITE_TILES_SLAB);
        addDrop(NSE_Blocks.CALCITE_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_CALCITE_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_CALCITE_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_CALCITE_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_CALCITE_TILES_STAIRS);
        addDrop(NSE_Blocks.DRIPSTONE_TILES_SLAB);
        addDrop(NSE_Blocks.DRIPSTONE_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_DRIPSTONE_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_DRIPSTONE_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_DRIPSTONE_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_DRIPSTONE_TILES_STAIRS);
        addDrop(NSE_Blocks.DEEPSLATE_TILES_SLAB);
        addDrop(NSE_Blocks.DEEPSLATE_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_DEEPSLATE_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_DEEPSLATE_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_DEEPSLATE_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_DEEPSLATE_TILES_STAIRS);
        addDrop(NSE_Blocks.LIGHT_BLUE_TILES_SLAB);
        addDrop(NSE_Blocks.LIGHT_BLUE_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_LIGHT_BLUE_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_LIGHT_BLUE_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_LIGHT_BLUE_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_LIGHT_BLUE_TILES_STAIRS);
        addDrop(NSE_Blocks.VARIATED_LIGHT_BLUE_TILES_SLAB);
        addDrop(NSE_Blocks.VARIATED_LIGHT_BLUE_TILES_STAIRS);
        addDrop(NSE_Blocks.LIGHT_BLUE_BRICKS_SLAB);
        addDrop(NSE_Blocks.LIGHT_BLUE_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CRACKED_LIGHT_BLUE_BRICKS_SLAB);
        addDrop(NSE_Blocks.CRACKED_LIGHT_BLUE_BRICKS_STAIRS);
        addDrop(NSE_Blocks.MOSSY_LIGHT_BLUE_BRICKS_SLAB);
        addDrop(NSE_Blocks.MOSSY_LIGHT_BLUE_BRICKS_STAIRS);
        addDrop(NSE_Blocks.GREEN_WHITE_TILES_SLAB);
        addDrop(NSE_Blocks.GREEN_WHITE_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_GREEN_WHITE_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_GREEN_WHITE_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_GREEN_WHITE_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_GREEN_WHITE_TILES_STAIRS);
        addDrop(NSE_Blocks.TUFF_TILES_SLAB);
        addDrop(NSE_Blocks.TUFF_TILES_STAIRS);
        addDrop(NSE_Blocks.CRACKED_TUFF_TILES_SLAB);
        addDrop(NSE_Blocks.CRACKED_TUFF_TILES_STAIRS);
        addDrop(NSE_Blocks.MOSSY_TUFF_TILES_SLAB);
        addDrop(NSE_Blocks.MOSSY_TUFF_TILES_STAIRS);
        addDrop(NSE_Blocks.TUFF_BRICKS_SLAB);
        addDrop(NSE_Blocks.TUFF_BRICKS_STAIRS);
        addDrop(NSE_Blocks.CRACKED_TUFF_BRICKS_SLAB);
        addDrop(NSE_Blocks.CRACKED_TUFF_BRICKS_STAIRS);
        addDrop(NSE_Blocks.MOSSY_TUFF_BRICKS_SLAB);
        addDrop(NSE_Blocks.MOSSY_TUFF_BRICKS_STAIRS);
        addDrop(NSE_Blocks.WHITE_CONCRETE_SLAB);
        addDrop(NSE_Blocks.WHITE_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.CRACKED_WHITE_CONCRETE_SLAB);
        addDrop(NSE_Blocks.CRACKED_WHITE_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.BEIGE_CONCRETE_SLAB);
        addDrop(NSE_Blocks.BEIGE_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.CRACKED_BEIGE_CONCRETE_SLAB);
        addDrop(NSE_Blocks.CRACKED_BEIGE_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.BLUE_CONCRETE_SLAB);
        addDrop(NSE_Blocks.BLUE_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.CRACKED_BLUE_CONCRETE_SLAB);
        addDrop(NSE_Blocks.CRACKED_BLUE_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.RED_CONCRETE_SLAB);
        addDrop(NSE_Blocks.RED_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.CRACKED_RED_CONCRETE_SLAB);
        addDrop(NSE_Blocks.CRACKED_RED_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.YELLOW_CONCRETE_SLAB);
        addDrop(NSE_Blocks.YELLOW_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.CRACKED_YELLOW_CONCRETE_SLAB);
        addDrop(NSE_Blocks.CRACKED_YELLOW_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.GREEN_CONCRETE_SLAB);
        addDrop(NSE_Blocks.GREEN_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.CRACKED_GREEN_CONCRETE_SLAB);
        addDrop(NSE_Blocks.CRACKED_GREEN_CONCRETE_STAIRS);
        addDrop(NSE_Blocks.NII_FLOOR_SLAB);
        addDrop(NSE_Blocks.NII_FLOOR_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_ACACIA_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_ACACIA_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_ACACIA_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_ACACIA_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_OAK_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_OAK_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_OAK_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_OAK_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_BIRCH_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_BIRCH_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_BIRCH_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_BIRCH_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_CRIMSON_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_CRIMSON_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_CRIMSON_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_CRIMSON_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_DARK_OAK_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_DARK_OAK_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_DARK_OAK_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_DARK_OAK_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_JUNGLE_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_JUNGLE_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_JUNGLE_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_JUNGLE_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_MANGROVE_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_MANGROVE_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_MANGROVE_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_MANGROVE_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_SPRUCE_PLANKS_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_SPRUCE_PLANKS_STAIRS);
        addDrop(NSE_Blocks.CROSS_SPRUCE_PLANKS_SLAB);
        addDrop(NSE_Blocks.CROSS_SPRUCE_PLANKS_STAIRS);
        addDrop(NSE_Blocks.HERRINGBONE_PARQUET_SLAB);
        addDrop(NSE_Blocks.HERRINGBONE_PARQUET_STAIRS);
        addDrop(NSE_Blocks.STRAIGHT_PARQUET_SLAB);
        addDrop(NSE_Blocks.STRAIGHT_PARQUET_STAIRS);
        addDrop(NSE_Blocks.SEPARATED_PARQUET_SLAB);
        addDrop(NSE_Blocks.SEPARATED_PARQUET_STAIRS);
        addDrop(NSE_Blocks.GREEN_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.GREEN_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.BLUE_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.BLUE_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.RED_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.RED_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.GRAY_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.GRAY_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.ORANGE_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.ORANGE_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.BROWN_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.BROWN_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.CYAN_LINOLEUM_SLAB);
        addDrop(NSE_Blocks.CYAN_LINOLEUM_STAIRS);
        addDrop(NSE_Blocks.METAL_PLATING_SLAB);
        addDrop(NSE_Blocks.METAL_PLATING_STAIRS);
        addDrop(NSE_Blocks.BARBED_WIRE, Items.IRON_NUGGET);
        addDrop(NSE_Blocks.DIRT_ROAD, Blocks.DIRT);

        addDropWithSilkTouch(NSE_Custom.LIGHT_BULB_LAMP);
        addDropWithSilkTouch(NSE_Blocks.BARBED_WIRE);

    }
}